For the complete documentation index, see llms.txt. This page is also available as Markdown.

Connections

Get list of Connections

get

Returns a paginated list of Backup & Archive Connections with customizable page size

Autorisierungen
AuthorizationstringErforderlich

Bearer <access_token>

Abfrageparameter
searchstringOptional

Search term (max 80)

pagenumberErforderlich

Number of page (min 1)

Example: 1
limitnumberErforderlich

Limit of entities per page (min 1, max 2000)

Example: 50
Antworten
200

Returns a paginated list of Backup & Archive Connections

application/json
totalnumberErforderlich

Total number of entities.

Example: 1
get/api/v1/connections
GET /api/v1/connections?page=1&limit=1 HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "total": 1,
  "items": [
    {
      "id": 1,
      "externalId": 1,
      "name": "MyOrg",
      "userName": "example@email.com",
      "salesforceOrgType": "PRODUCTION"
    }
  ]
}

Get Connection by Id

get

Returns the Backup & Archive Connection by Id

Autorisierungen
AuthorizationstringErforderlich

Bearer <access_token>

Pfadparameter
connectionIdnumberErforderlich
Antworten
200

Returns the Backup & Archive Connection by Id

application/json
idnumberErforderlichExample: 1
externalIdnumberErforderlichExample: 1
namestringErforderlich

Connection name

Example: MyOrg
userFullNamestringErforderlich

Full name of user for authenticating the connection.

Example: John Doe
userNamestringErforderlich

Username for authenticating the connection.

Example: example@email.com
salesforceOrgIdstringErforderlich

Salesforce organization ID

Example: 12ABC34567892DEFGC
salesforceOrgTypestring · enumErforderlich

Salesforce organization type: SANDBOX or PRODUCTION

Example: PRODUCTIONMögliche Werte:
get/api/v1/connections/{connectionId}
GET /api/v1/connections/{connectionId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": 1,
  "externalId": 1,
  "name": "MyOrg",
  "userFullName": "John Doe",
  "userName": "example@email.com",
  "salesforceOrgId": "12ABC34567892DEFGC",
  "salesforceOrgType": "PRODUCTION"
}

Get Connection Id by Salesforce organization Id

get

Returns the Backup & Archive Connection Id by Salesforce organization Id

Autorisierungen
AuthorizationstringErforderlich

Bearer <access_token>

Pfadparameter
salesforceOrgIdstringErforderlich

Salesforce organization Id

Example: 12ABC34567892DEFGC
Antworten
200

Returns the Backup & Archive Connection

application/json
connectionIdnumberErforderlich
get/api/v1/connections/connectionId/{salesforceOrgId}
GET /api/v1/connections/connectionId/{salesforceOrgId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "connectionId": 1
}

Zuletzt aktualisiert

War das hilfreich?